package com.management.task;

import com.management.tzcontroller.*;
import com.management.tzcontroller.DeliveryReqController;
import com.management.tzcontroller.DeviceInstallController;
import com.management.tzcontroller.ProjectInitiateController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

/**
 * @Description: 台账定时任务
 * @return null
 * @Author weiloong_zhang
 */
@Configuration
@EnableScheduling
public class CrmTaskTZ {

    @Autowired
    DeliveryReqController deliveryReqController;
    @Autowired
    DeviceInstallController deviceInstallController;
    @Autowired
    ProjectInitiateController projectInitiateController;
    @Autowired
    TZXSHTController xshtController;
    @Autowired
    YQHTController yqhtController;

    /**
     * 定时任务同步太脏数据
     *
     * @return void
     * @Author weiloong_zhang
     */
//    @Scheduled(cron = "0 0/2 * * * ?")
//    private void configureTasks() throws Exception {
//        System.out.println("开始同步台账数据");
//        projectInitiateController.syncProjectInitiate();
//        deliveryReqController.syncDeliveryReq();
//        deliveryReqController.syncRefund();
//        deviceInstallController.syncDeviceInstall();
//        deviceInstallController.upDeviceInstall();
//        xshtController.syncSaleOrder();
//        yqhtController.syncYQHT();
//        System.out.println("台账执行完毕");
//    }
}
